Раскрытие информации в paratrooper-newrelic gem for Ruby

Дата публикации:
26.05.2014
Дата изменения:
26.05.2014
Всего просмотров:
383
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:L/AC:L/Au:N/C:P/I:N/A:N/E:U/RL:U/RC:C) = Base:2.1/Temporal:1.8
CVE ID:
CVE-2014-1234
Вектор эксплуатации:
Локальная
Воздействие:
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
paratrooper-newrelic gem for Ruby 1.x
Уязвимые версии: paratrooper-newrelic gem for Ruby 1.0.1, возможно более ранние версии

Описание:
Уязвимость позволяет локальному пользователю получить доступ к определенной конфиденциальной информации.

Уязвимость существует из-за того, что с помощью командной строки gem подвергает ключ API пройти роторный процесс. Локальный пользователь может наблюдая список активных процессов раскрыть ключ.

URL производителя: http://rubygems.org/gems/paratrooper-newrelic

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.vapid.dhs.org/advisories/paratrooper-newrelic-api.html

или введите имя

CAPTCHA